Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Activity
    Maik Derstappen
    @MrTango
    ksuess, make sure you installed the folderishtype addon in the quickinstaller, i had problems last time, because i didn't do it.
    Peter Mathis
    @petschki
    @MrTango I just installed mosaic 2.2.1 on top on plone 5.1 using the actual coredev buildout with the following local.cfg:
    [buildout]
    extends =
        core.cfg
        https://raw.githubusercontent.com/plone/plone.app.mosaic/master/versions.cfg
    eggs +=
        plone.app.mosaic
    without any error
    Plone Chat
    @plone-chat
    [ksuess (ksuess), irc.freenode.net] @ MrTango / still not editable, no matter if a default page in plone backend is chosen or not.
    [ksuess (ksuess), irc.freenode.net] needed to enable behavior "enable blocks..." for dexterity pages
    [ksuess (ksuess), irc.freenode.net] i thnk this lacks for plone site type
    [ksuess (ksuess), irc.freenode.net] an earlier plone instance: in properties there are blocks_layout and blocks fields that i think do the trick
    [ksuess (ksuess), irc.freenode.net] localhost:3000/edit says: Cannot read property 'length' of undefined
    Plone Chat
    @plone-chat
    [ksuess (ksuess), irc.freenode.net] solved: kitconcept.voltodemo needs to be installed: it enables volto blocks on plone site itself
    Piero Nicolli
    @pnicolli
    Yes, installing kitconcept.voltodemo is the fastest way to get your plone instance up and running at this time
    T. Kim Nguyen
    @tkimnguyen
    Wei-Tsung-Cheng
    @weitsungchengkkday
    Hi Plone
    I am a iOS Developer , our company use Plone to handle our company inner website
    I hope to create a iOS APP to operate the data on website
    It is possible?
    Maik Derstappen
    @MrTango
    @weitsungchengkkday yes, you can use the Plone Rest-API to access all Data and most of the functionalities. https://plonerestapi.readthedocs.io
    Plone Chat
    @plone-chat
    [https://webchat.freenode.net (hariom), irc.freenode.net] Hi, I'm setting up Plone in production mode. Need your advice, is it good to install it as non-root user? I've installed required dependent libraries already.
    NicolasGoeddel
    @NicolasGoeddel
    We never install Plone as root. Of course you should use a non-root user.
    Plone Chat
    @plone-chat
    [https://webchat.freenode.net (hariom), irc.freenode.net] Thanks
    [https://webchat.freenode.net (hariom), irc.freenode.net] Is there any post where I can see the installation steps for non-root user?
    [https://webchat.freenode.net (hariom), irc.freenode.net] Just to ensure that I follow correct steps
    Peter Mathis
    @petschki
    @hariom there's a guide for deploying plone sites here https://docs.plone.org/manage/deploying/index.html
    btw. thanks for the updated algolia search implementation on docs.plone.org @acsr et al.
    Plone Chat
    @plone-chat
    [https://webchat.freenode.net (hariom), irc.freenode.net] @syncbot Is UnifiedInstaller option good in that case (non-root) as it creates a plone user and then drops down to that before running buildout
    [https://webchat.freenode.net (hariom), irc.freenode.net] or it is better to create an unprevillaged plone user and then su to that and run ./install.sh script?
    [https://webchat.freenode.net (hariom), irc.freenode.net] or is it better to create an unprevillaged plone user and then su to that and run ./install.sh script?
    Ramiro Batista da Luz
    @ramiroluz
    Hello all!!!!
    Missing you already.
    I was testing this product translation, but the new release is not working with plone 4.3.19.
    There is a way to compare the code of release 1.5 and 1.5.1??
    Peter Mathis
    @petschki
    @ramiroluz you can compare between two commits with this: https://github.com/collective/Products.windowZ/compare/c8c6c95..af1665e (these are the IDs of 1.5.1 and 1.5 as shown in the releases tab)
    Ramiro Batista da Luz
    @ramiroluz
    Cool. So I need the ids of the commits and the compare url.
    It looks like some plone5 branches where backported to the 1.x branch.
    Peter Mathis
    @petschki
    basically yes ... but the ID of the 1.5.1 tag is a bit strange ... I did a https://github.com/collective/Products.windowZ/compare/af1665e...1.x (compare 1.5 ID with current 1.x branch) and this is a much smaller diff ... maybe there's something wrong with the 1.5.1 release?
    Ramiro Batista da Luz
    @ramiroluz
    Yeah, maybe.
    Plone Chat
    @plone-chat
    [https://webchat.freenode.net (hariom), irc.freenode.net] @syncbot it seems like my internet connection is not stable today. Earlier I sent the following message:
    [https://webchat.freenode.net (hariom), irc.freenode.net] Is UnifiedInstaller option good in that case (non-root) as it creates a plone user and then drops down to that before running buildout
    [https://webchat.freenode.net (hariom), irc.freenode.net] or is it better to create an unprevillaged plone user and then su to that and run ./install.sh script?
    Ramiro Batista da Luz
    @ramiroluz
    @petschki I did this: A checkout on the 1.x branch creating a working in progress branch. Did some translations, then did a pull request against 1.x
    @MrTango did a review, merged and created the 1.5.1 release.
    My suspicion is that the release was created based on the master branch.
    Because the branch 1.x doesn't have the piece of code that is raising the exception.
    Ramiro Batista da Luz
    @ramiroluz
    My mistake, it hve.
    have
    Peter Mathis
    @petschki
    @ramiroluz well ... all good. the compare url is the same ... and the release was made from 1.x branch as you see in the commits https://github.com/collective/Products.windowZ/commits/1.x ... I think (reading your traceback again) the problem is the missing plone.api dependency which is not a part of core in 4.3 ... this has to be placed in WindowZ/setup.py
    Ramiro Batista da Luz
    @ramiroluz
    Humm, good. I will give it a try.
    Plone Chat
    @plone-chat
    [Adium-Benutzer (zmijunkie), irc.freenode.net] HI … das anybody know if pas.plugins.ldap uses a prefix like seen in https://github.com/laravel/laravel/blob/v5.4.23/config/cache.php#L89 to avoid key collisions ?